//
//  ViewController.m
//  test
//
//  Created by SUMSL on 2019/1/15.
//  Copyright © 2019 security. All rights reserved.
//

#import "ViewController.h"
#import <SecurityCodeSDK/EZVerifyCodeManager.h>

@interface ViewController ()<EZVerifyCodeManagerDelegate>

@property (nonatomic,strong)UILabel *label;

@end

@implementation ViewController

- (UILabel *)label{
    if (!_label) {
        _label = [[UILabel alloc]init];
        _label.backgroundColor = [UIColor orangeColor];
        _label.textColor = [UIColor whiteColor];
        _label.textAlignment = NSTextAlignmentCenter;
        _label.font = [UIFont systemFontOfSize:16];
    }
    return _label;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    UIButton *button = [UIButton buttonWithType:UIButtonTypeSystem];
    button.backgroundColor = [UIColor orangeColor];
    [button setTitle:@"验证" forState:UIControlStateNormal];
    [self.view addSubview:button];
    [button addTarget:self action:@selector(click) forControlEvents:UIControlEventTouchUpInside];
    button.frame = CGRectMake((self.view.frame.size.width-100)/2,self.view.frame.size.height-200, 100, 50);
}

- (void)click{
    EZVerifyCodeManager *manager = [EZVerifyCodeManager sharedInstance];
    [manager configureVerifyCode:@"2ace16968a47e325bf3216dbb6b00ba4" timeout:10];
    manager.delegate = self;
//    manager.color = [UIColor blackColor];不设置默认黑色
//    manager.alpha = 0.3;//不设置默认0.3
    [manager openVerifyCodeView];
}

- (void)verifyCodeInitFailed:(NSString *)error{
    [self showLabelWithText:error];
}

- (void)verifyCodeValidateFinish:(BOOL)result message:(NSString *)message{
    [self showLabelWithText:message];
}
- (void)verifyCodeCloseWindow{
    NSLog(@"关闭");
}
- (void)verifyCodeNetError:(NSError *)error{
    [self showLabelWithText:@"网络错误"];
}
- (void)showLabelWithText:(NSString *)text{
    self.label.hidden = NO;
    UIWindow *window = [[UIApplication sharedApplication] delegate].window;
    [window addSubview:_label];
    self.label.frame = CGRectMake(0, -100,[UIScreen mainScreen].bounds.size.width, 100);
    self.label.text = text;
    [UIView animateWithDuration:0.25 animations:^{
        self.label.frame = CGRectMake(0, 0,[UIScreen mainScreen].bounds.size.width, 100);
    } completion:^(BOOL finished) {
        dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(1 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
            [UIView animateWithDuration:0.25 animations:^{
                self.label.frame = CGRectMake(0, -100,[UIScreen mainScreen].bounds.size.width, 100);
            }];
        });
    }];
}
@end
